import java.awt.*;

public class DrawingBlock implements IDrawingObjectBlock{

    private BlockCount _block=null;

    public DrawingBlock(BlockCount block) {
        _block=block;
    }

    @Override
    public void SetBlockCount(int count){
        for (BlockCount temp: BlockCount.values())
            if (temp.GetBlockCount() == count){
                _block=temp;
                return;
            }
    }
    @Override
    public void DrawBlock(Graphics2D g,int _startPosX, int _startPosY) {
        if (_block.GetBlockCount() >= 2) {
            g.setColor(Color.GRAY);
            g.fillRect(_startPosX + 25, _startPosY + 10, 10, 10);
            g.setColor(Color.BLACK);
            g.drawRect(_startPosX + 25, _startPosY + 10, 10, 10);
            g.setColor(Color.GRAY);
            g.fillRect(_startPosX + 25, _startPosY + 20, 10, 10);
            g.setColor(Color.BLACK);
            g.drawRect(_startPosX + 25, _startPosY + 20, 10, 10);
        }
        if (_block.GetBlockCount() >= 4) {
            g.setColor(Color.GRAY);
            g.fillRect(_startPosX+35,_startPosY+10,10,10);
            g.setColor(Color.BLACK);
            g.drawRect(_startPosX+35,_startPosY+10,10,10);
            g.setColor(Color.GRAY);
            g.fillRect(_startPosX+35,_startPosY+20,10,10);
            g.setColor(Color.BLACK);
            g.drawRect(_startPosX+35,_startPosY+20,10,10);
        }
        if (_block.GetBlockCount() >= 6) {
            g.setColor(Color.GRAY);
            g.fillRect(_startPosX+45,_startPosY+10,10,10);
            g.setColor(Color.BLACK);
            g.drawRect(_startPosX+45,_startPosY+10,10,10);
            g.setColor(Color.GRAY);
            g.fillRect(_startPosX+45,_startPosY+20,10,10);
            g.setColor(Color.BLACK);
            g.drawRect(_startPosX+45,_startPosY+20,10,10);
        }
    }
}
