import java.awt.*;

public class DrawingTriangleBlocks implements IDrawingObjectBlock{
    private BlockCount _block;

    public DrawingTriangleBlocks(BlockCount block){
        _block=block;
    }
    @Override
    public void SetBlockCount(int count) {
        for (BlockCount temp: BlockCount.values())
            if (temp.GetBlockCount() == count){
                _block=temp;
                return;
            }
    }

    @Override
    public void DrawBlock(Graphics2D g, int _startPosX, int _startPosY) {

        int[] x1={_startPosX + 30,_startPosX + 35,_startPosX + 25,_startPosX + 30};
        int[] y1={_startPosY + 10,_startPosY + 20,_startPosY + 20,_startPosY + 10};
        int[] x2={_startPosX + 30+10,_startPosX + 35+10,_startPosX + 25+10,_startPosX + 30+10};
        int[] y2={_startPosY + 10+10,_startPosY + 20+10,_startPosY + 20+10,_startPosY + 10+10};
        int[] x3={_startPosX + 30+10+10,_startPosX + 35+10+10,_startPosX + 25+10+10,_startPosX + 30+10+10};

        if (_block.GetBlockCount() >= 2) {
            g.setColor(Color.GRAY);
            g.fillPolygon(x1,y1,4);
            g.setColor(Color.BLACK);
            g.drawPolygon(x1,y1,4);
            g.setColor(Color.GRAY);
            g.fillPolygon(x1,y2,4);
            g.setColor(Color.BLACK);
            g.drawPolygon(x1,y2,4);
        }
        if (_block.GetBlockCount() >= 4) {
            g.setColor(Color.GRAY);
            g.fillPolygon(x2,y1,4);
            g.setColor(Color.BLACK);
            g.drawPolygon(x2,y1,4);
            g.setColor(Color.GRAY);
            g.fillPolygon(x2,y2,4);
            g.setColor(Color.BLACK);
            g.drawPolygon(x2,y2,4);
        }
        if (_block.GetBlockCount() >= 6) {
            g.setColor(Color.GRAY);
            g.fillPolygon(x3,y1,4);
            g.setColor(Color.BLACK);
            g.drawPolygon(x3,y1,4);
            g.setColor(Color.GRAY);
            g.fillPolygon(x3,y2,4);
            g.setColor(Color.BLACK);
            g.drawPolygon(x3,y2,4);
        }
    }
}
